/* Copyright (C) 2002, 2003 Shell Technologies s.r.l.
   Author: Marco Cesati <cesati@uniroma2.it>
      
   This program is free software; you can redistribute  it and/or modify it
   under  the terms of  the GNU General  Public License as published by the
   Free Software Foundation;  either version 2 of the  License, or (at your
   option) any later version.
*/

#ifndef _GALIL_IOCTL_H_
#define _GALIL_IOCTL_H_

/* the size of the driver's Kernel Mode stack of interrupt status values;
   thus, it also yields the optimal size of the analog User Mode stack */
           
#define GALIL_1800_IRQ_STACK_SZ 32

enum {
	GALIL_CLEAR_FIFO,         /* argument:  0 = clear both FIFOs
                                            1 = clear Read FIFO
                                            2 = clear Write FIFO */
    GALIL_MAY_READ,
    GALIL_MAY_WRITE,
    GALIL_SIGNAL_INTERRUPTS, /* argument:  1 = raise SIGUSR1 on interrupts
                                           0 = do not raise signals on ints */
    GALIL_GET_IRQ_STACK,
    GALIL_READ_2ND_FIFO,     /* argument:  address of UM data buffer */
    GALIL_GET_SERIAL_NUMBER
};
    
#endif
